<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">

  <!-- This script contains the ToolBarStrip used for the Photocard Library Screen of App4R -->

  <Layout name="PhotocardPanelStrip">
    <!-- Menu ToolBarStrip-->
    <Container type="ToolBarStrip" name="RightMenuStrip">
      <Properties>
        <Property name="ZOrder" type="Int">1</Property>
        <Property name="HorizontalOffset" type="Int">4</Property>
        <Property name="Location" type="Point">390,0</Property>
        <Property name="Size" type="Size">510,40</Property>
        <Property name="Dock" type="DockStyle">Top</Property>
        <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.MAINPANELBACKCOLOR"/>
        <Property name="ImageLeft" type="Image">topnavbar_left.png</Property>
        <Property name="ImageRight" type="Image">topnavbar_right.png</Property>
        <Property name="ImageMid" type="Image">topnavbar_sliver.png</Property>
        <Property name="LeftScrollImageUp" type="Image">Leftarrow_reg.png</Property>
        <Property name="LeftScrollImageDown" type="Image">Leftarrow_down.png</Property>
        <Property name="LeftScrollImageHover" type="Image">Leftarrow_over.png</Property>
        <Property name="RightScrollImageUp" type="Image">Rightarrow_reg.png</Property>
        <Property name="RightScrollImageDown" type="Image">Rightarrow_down.png</Property>
        <Property name="RightScrollImageHover" type="Image">Rightarrow_over.png</Property>
      </Properties>
      <Controls>
        <Control type="ToolBarStripButton" name="PCSaveBtn">
          <Properties>
            <Property type="Image" name="ImageUp">Toolbar_Save_reg.png</Property>
            <Property type="Image" name="ImageDown">Toolbar_Save_down.png</Property>
            <Property type="Image" name="ImageHover">Toolbar_Save_over.png</Property>
            <Property type="Image" name="ImageDisabled">Toolbar_Save_dis.png</Property>
            <Property name="Size" type="Size">90,30</Property>
            <Property name="Location" type="Point">10,3</Property>
            <Property name="Text" type="String" resourceID="BGICommonStrings.SAVE" resourceFile="Strings2.xml"/>
            <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
            <Property name="ShowBorder" type="ToolBarEffectState">Never</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="ToolBarStripButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextHoverColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTHOVERCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="Font" type="Font" resourceID="ToolBarStripButtonFontTable.NORMALFONT"/>
            <Property name="TextOffset" type="Int">0</Property>
            <Property name="HasMenu" type="Bool">True</Property>
          </Properties>
        </Control>
        <Control type="ToolBarStripButton" name="PCUndoBtn">
          <Properties>
            <!-- Change state images when available -->
            <Property type="Image" name="ImageUp">undo_reg.png</Property>
            <Property type="Image" name="ImageDown">undo_down.png</Property>
            <Property type="Image" name="ImageHover">undo_over.png</Property>
            <Property type="Image" name="ImageDisabled">Undo_dis.png</Property>
            <Property name="Size" type="Size">90,30</Property>
            <Property name="Location" type="Point">630,3</Property>
            <Property name="Text" type="String" resourceID="RightPhotoPanelTable.UNDO"/>
            <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
            <Property name="ShowBorder" type="ToolBarEffectState">Never</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="ToolBarStripButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextHoverColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTHOVERCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="Font" type="Font" resourceID="ToolBarStripButtonFontTable.NORMALFONT"/>
            <Property name="TextOffset" type="Int">0</Property>
            <Property name="HasMenu" type="Bool">True</Property>
          </Properties>
        </Control>
        <Control type="ToolBarStripButton" name="PCRotatePhotoBtn">
          <Properties>
            <Property type="Image" name="ImageUp">Toolbar_Rotate_reg.png</Property>
            <Property type="Image" name="ImageDown">Toolbar_Rotate_down.png</Property>
            <Property type="Image" name="ImageHover">Toolbar_Rotate_over.png</Property>
            <Property type="Image" name="ImageDisabled">Toolbar_Rotate_dis.png</Property>
            <Property name="Size" type="Size">90,30</Property>
            <Property name="Location" type="Point">630,3</Property>
            <Property name="Text" type="String" resourceID="RightPhotoPanelTable.ROTATE"/>
            <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
            <Property name="ShowBorder" type="ToolBarEffectState">Never</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="ToolBarStripButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextHoverColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTHOVERCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="Font" type="Font" resourceID="ToolBarStripButtonFontTable.NORMALFONT"/>
            <Property name="TextOffset" type="Int">0</Property>
            <Property name="HasMenu" type="Bool">True</Property>
            <ComplexProperty name="Menu" type="MenuForm" externalName="ToolBarMenus.PCRotateMenuForm" scriptName="PhotocardPanelToolBarMenus.xml"/>
          </Properties>
        </Control>
        <Control type="ToolBarStripButton" name="PCEditPhotoBtn">
          <Properties>
            <Property type="Image" name="ImageUp">Tools_reg.png</Property>
            <Property type="Image" name="ImageDown">Tools_down.png</Property>
            <Property type="Image" name="ImageHover">Tools_over.png</Property>
            <Property type="Image" name="ImageDisabled">Tools_dis.png</Property>
            <Property name="Size" type="Size">90,30</Property>
            <Property name="Location" type="Point">720,3</Property>
            <Property name="Text" type="String" resourceID="RightPhotoPanelTable.EDIT"/>
            <Property name="Anchor" type="AnchorStyles">Top,Left</Property>
            <Property name="ShowBorder" type="ToolBarEffectState">Never</Property>
            <ComplexProperty name="BackColor" type="Color" resourceID="ToolBarStripButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextHoverColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTHOVERCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ToolBarStripButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="Font" type="Font" resourceID="ToolBarStripButtonFontTable.NORMALFONT"/>
            <Property name="TextOffset" type="Int">0</Property>
            <Property name="HasMenu" type="Bool">True</Property>
            <ComplexProperty name="Menu" type="MenuForm" externalName="ToolBarMenus.PCEditPhotocardMenuForm" scriptName="PhotocardPanelToolBarMenus.xml"/>
          </Properties>
        </Control>
      </Controls>
    </Container>
  </Layout>
</AppGui>
